﻿<?php

//=============================================================================
// System  : Sandcastle Help File Builder (PHP port)
// Author  : Latif Khalifa <latifer@streamgrid.net>, All rights reserved
// Copyright (c) 2011, Latif Khalifa <latifer@streamgrid.net>
//
// Permission is hereby granted, free of charge, to any person obtaining a copy
// of this software and associated documentation files (the "Software"), to deal
// in the Software without restriction, including without limitation the rights
// to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
// copies of the Software, and to permit persons to whom the Software is
// furnished to do so, subject to the following conditions:

// The above copyright notice and this permission notice shall be included in
// all copies or substantial portions of the Software.

// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
// AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
// LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
// OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
// THE SOFTWARE.
//
// Based on C# version by Eric Woodruff  (Eric@EWoodruff.us) from code by Ferdinand Prantl
// Copyright 2008, Eric Woodruff, All rights reserved

$lcTOC = "";
$toc = DOMDocument::load("WebTOC.xml");
$navToc = new DOMXpath($toc);
$root = $navToc->query("*");

foreach ($root as $node) {

  if ($node->hasChildNodes()) {
    $id = $node->getAttribute("Id");
    $title = $node->getAttribute("Title");
    $url = $node->getAttribute("Url");

    if ($url) {
      $target = " target=\"TopicContent\"";
    } else {
      $url = "#";
      $target = "";
    }

    $lcTOC .= sprintf("<div class=\"TreeNode\">\r\n" .
		      "<img class=\"TreeNodeImg\" " .
		      "onclick=\"javascript: Toggle(this);\" " .
		      "src=\"Collapsed.gif\"/><a class=\"UnselectedNode\" " .
		      "onclick=\"javascript: return Expand(this);\" " .
		      "href=\"%s\"%s>%s</a>\r\n" .
		      "<div id=\"%s\" class=\"Hidden\"></div>\r\n</div>\r\n",
		      $url, $target, htmlentities($title), $id);
  } else {

    $title = $node->getAttribute("Title");
    $url = $node->getAttribute("Url");

    if (!$url)
      $url = "about:blank";

    $lcTOC .= sprintf("<div class=\"TreeItem\">\r\n" .
		      "<img src=\"Item.gif\"/>" .
		      "<a class=\"UnselectedNode\" " .
		      "onclick=\"javascript: return SelectNode(this);\" " .
		      "href=\"%s\" target=\"TopicContent\">%s</a>\r\n" .
		      "</div>\r\n", 
		      $url, htmlentities($title));

  }

}

// var_dump($lcTOC);
//die();
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>

<head>
<title>OpenMetaverse Protocol Library Developers API Documentation - Table of Content</title>
<link rel="stylesheet" href="TOC.css">
<script type="text/javascript" src="TOC_php.js"></script>
</head>

<body onload="javascript: Initialize();" onresize="javascript: ResizeTree();">
<form id="IndexForm" runat="server">

<div id="TOCDiv" class="TOCDiv">

<div id="divSearchOpts" class="SearchOpts" style="height: 80px; display: none;">
<img class="TOCLink" onclick="javascript: ShowHideSearch(false);"
    src="CloseSearch.png" height="17" width="17" alt="Hide search" style="float: right;"/>
Keyword(s) for which to search:
<input id="txtSearchText" type="text" style="width: 100%;"
  onkeypress="javascript: return OnSearchTextKeyPress(event);" /><br />

<!--input id="chkSortByTitle" type="checkbox" /><label for="chkSortByTitle">&nbsp;Sort results by title</label><br /-->

<input type="button" value="Search" onclick="javascript: return PerformSearch();" />
</div>

<div id="divIndexOpts" class="IndexOpts" style="height: 25px; display: none;">
<img class="TOCLink" onclick="javascript: ShowHideIndex(false);"
    src="CloseSearch.png" height="17" width="17" alt="Hide index" style="float: right;"/>
Keyword Index
</div>

<div id="divNavOpts" class="NavOpts" style="height: 20px;">
    <img class="TOCLink" onclick="javascript: SyncTOC();" src="SyncTOC.gif"
        height="16" width="16" alt="Sync to TOC"/>
    <img class="TOCLink" onclick="javascript: ExpandOrCollapseAll(true);"
        src="ExpandAll.bmp" height="16" width="16" alt="Expand all "/>
    <img class="TOCLink" onclick="javascript: ExpandOrCollapseAll(false);"
        src="CollapseAll.bmp" height="16" width="16" alt="Collapse all" />
    <img class="TOCLink" onclick="javascript: ShowHideIndex(true);"
        src="Index.gif" height="16" width="16" alt="Index" />
    <img class="TOCLink" onclick="javascript: ShowHideSearch(true);"
        src="Search.gif" height="16" width="16" alt="Search" />
</div>

<div class="Tree" id="divSearchResults" style="display: none;"
    onselectstart="javascript: return false;">
</div>

<div class="Tree" id="divIndexResults" style="display: none;"
    onselectstart="javascript: return false;">
</div>

<div class="Tree" id="divTree" onselectstart="javascript: return false;">
<?php echo $lcTOC ?>
</div>

</div>

<div id="TOCSizer" class="TOCSizer" onmousedown="OnMouseDown(event)" onselectstart="javascript: return false;"></div>

<iframe id="TopicContent" name="TopicContent" class="TopicContent" src="html/R_Project.htm">
This page uses an IFRAME but your browser does not support it.
</iframe>

</form>

</body>
